Date: Tue, 22 Aug 2000 09:28:24 +0530
Message-Id: <200008220358.JAA01049@midpec.com>
X-Authentication-Warning: midpec.com: tr set sender to tr AT eth DOT net using -f
From: Prashant TR
To: eliz AT is DOT elta DOT co DOT il
CC: djgpp-workers AT delorie DOT com, snowball3 AT bigfoot DOT com
In-reply-to: <3099-Sun20Aug2000190425+0300-eliz@is.elta.co.il>
Subject: Re: Problems with depcomp from fileutils 4.0x & bash 2.03
References: <39987229 DOT 2CB876B3 AT phekda DOT freeserve DOT co DOT uk> (message from Richard Dawe on Mon, 14 Aug 2000 23:26:49 +0100) <3999297F DOT 23816 DOT 95FCA AT localhost> <200008201249 DOT SAA01237 AT midpec DOT com> <3099-Sun20Aug2000190425+0300-eliz AT is DOT elta DOT co DOT il>
Reply-To: djgpp-workers AT delorie DOT com
Errors-To: nobody AT delorie DOT com
X-Mailing-List: djgpp-workers AT delorie DOT com
X-Unsubscribes-To: listserv AT delorie DOT com
Precedence: bulk
| Date: Sun, 20 Aug 2000 19:04:25 +0200
| From: "Eli Zaretskii"
|
| > Date: Sun, 20 Aug 2000 18:19:59 +0530
| > From: Prashant TR
| >
| > Secondly, the configure script failed in 2.04. It generated
| > config.status incorrectly. I don't have the exact error, but it looked
| > like this:
| >
| > config.status: Line 27: -recheck | --recheck | --rechec ..... ) not found
| >
| > But the same package compiled successfully under 2.03. Obviously,
| > the config.status is not being generated correctly for some
| > reason. Looking at config.status, I saw a line like this:
| >
| > -recheck | --recheck | .....
| >
| > and I have no idea of how it appeared there. I tried many things to
| > fix it, in particular, tried building it with several changes to
| > djgpp/config.sed but nothing worked.
|
| Please send config.status as produced by Bash 2.03 and another one
| produced by Bash 2.04 on the same machine and in the same directory,
| and I will try to figure this out.
|
There's a huge difference between these two files. After trying the
new files from Juan, I again got the same error. Surprisingly, it
compiles under Windows.
Here they are:
The config.status from bash 2.03
---------------------------------
#! /bin/sh
# Generated automatically by configure.
# Run this file to recreate the current configuration.
# Compiler output produced by configure, useful for debugging
# configure, is in ./config.log if it exists.
debug=false
me=`echo "$0" | sed -e 's,.*/,,'`
SHELL=${CONFIG_SHELL-/bin/sh}
config_files=" Makefile
doc/Makefile
intl/Makefile
lib/Makefile
man/Makefile
m4/Makefile
po/Makefile.in:po/Makefile.in-in
src/Makefile
tests/Makefile
tests/basename/Makefile
tests/date/Makefile
tests/factor/Makefile
tests/seq/Makefile
tests/stty/Makefile
tests/test/Makefile
"
config_headers=" config.h:config.h-in"
config_links=" intl/libintl.h:intl/libgettext.h"
config_commands=" default-1 default-2 default-3"
ac_cs_usage="\
\`$me' instantiates files from templates according to the
current configuration.
Usage: $0 [OPTIONS] FILE...
-h, --help print this help, then exit
-V, --version print version number, then exit
-d, --debug don't remove temporary files
--recheck update $me by reconfiguring in the same conditions
--file=FILE[:TEMPLATE]
instantiate the configuration file FILE
--header=FILE[:TEMPLATE]
instantiate the configuration header FILE
Configuration files:
$config_files
Configuration headers:
$config_headers
Configuration links:
$config_links
Configuration commands:
$config_commands
Report bugs to ."
ac_cs_version="\
./config.status generated by autoconf version 2.14a.
Configured on host pc by
./configure --src=. --disable-nls --config-cache"
ac_given_srcdir=.
ac_given_INSTALL="${DJDIR}/bin/ginstall -c"
# If no file are specified by the user, then we need to provide default
# value. By we need to know if files were specified by the user.
ac_need_defaults=:
while test $# != 0
do
case $1 in
--*=*)
ac_option=`expr "x$1" : 'x\([^=]*\)='`
ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
shift
set dummy "$ac_option" "$ac_optarg" ${1+"$@"}
shift
;;
-*);;
*) # This is not an option, so the user has probably given explicit
# arguments.
ac_need_defaults=false;;
esac
case $1 in
# Handling of the options.
-recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
echo "running /bin/sh ./configure " --src=. --disable-nls --config-cache " --no-create --no-recursion"
exec /bin/sh ./configure --src=. --disable-nls --config-cache --no-create --no-recursion ;;
--version | --vers* | -V )
echo "$ac_cs_version"; exit 0 ;;
--he | --h)
# Conflict between --help and --header
echo "$me: ambiguous option: $ac_option
Try \`$me --help' for more information."; exit 1 ;;
--help | --hel | -h )
echo "$ac_cs_usage"; exit 0 ;;
--debug | --d* | -d )
debug=: ;;
--file | --fil | --fi | --f )
shift
CONFIG_FILES="$CONFIG_FILES $1"
ac_need_defaults=false;;
--header | --heade | --head | --hea )
shift
CONFIG_HEADERS="$CONFIG_HEADERS $1"
ac_need_defaults=false;;
# Handling of arguments.
'Makefile' ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
'doc/Makefile' ) CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
'intl/Makefile' ) CONFIG_FILES="$CONFIG_FILES intl/Makefile" ;;
'lib/Makefile' ) CONFIG_FILES="$CONFIG_FILES lib/Makefile" ;;
'man/Makefile' ) CONFIG_FILES="$CONFIG_FILES man/Makefile" ;;
'm4/Makefile' ) CONFIG_FILES="$CONFIG_FILES m4/Makefile" ;;
'po/Makefile.in' ) CONFIG_FILES="$CONFIG_FILES po/Makefile.in" ;;
'src/Makefile' ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
'tests/Makefile' ) CONFIG_FILES="$CONFIG_FILES tests/Makefile" ;;
'tests/basename/Makefile' ) CONFIG_FILES="$CONFIG_FILES tests/basename/Makefile" ;;
'tests/date/Makefile' ) CONFIG_FILES="$CONFIG_FILES tests/date/Makefile" ;;
'tests/factor/Makefile' ) CONFIG_FILES="$CONFIG_FILES tests/factor/Makefile" ;;
'tests/seq/Makefile' ) CONFIG_FILES="$CONFIG_FILES tests/seq/Makefile" ;;
'tests/stty/Makefile' ) CONFIG_FILES="$CONFIG_FILES tests/stty/Makefile" ;;
'tests/test/Makefile' ) CONFIG_FILES="$CONFIG_FILES tests/test/Makefile" ;;
'$nls_cv_header_intl' ) CONFIG_LINKS="$CONFIG_LINKS $nls_cv_header_intl:$nls_cv_header_libgt" ;;
'default-1' ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-1" ;;
'default-2' ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-2" ;;
'default-3' ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-3" ;;
'config.h' ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
# This is an error.
-*) echo "$me: unrecognized option: $1
Try \`$me --help' for more information."; exit 1 ;;
*) echo "$me: invalid argument: $1"; exit 1 ;;
esac
shift
done
# If the user did not use the arguments to specify the items to instantiate,
# then the envvar interface is used. Set only those that are not.
if $ac_need_defaults; then
: ${CONFIG_FILES=$config_files}
: ${CONFIG_HEADERS=$config_headers}
: ${CONFIG_LINKS=$config_links}
: ${CONFIG_COMMANDS=$config_commands}
fi
# Create a temporary directory, and hook for its removal unless debugging.
$debug ||
{
trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
trap 'exit $?' 1 2 13 15
}
# Create a (secure) tmp directory for tmp files.
: ${TMPDIR=/tmp}
{
tmp=`(umask 077 && mktemp -d -q "$TMPDIR/csXXXXXX") 2>/dev/null` &&
test -n "$tmp"
} ||
{
tmp=$TMPDIR/cs$$-$RANDOM && (umask 077 && mkdir $tmp)
} ||
{
echo "$me: cannot create a temporary directory in $TMPDIR" >&2
exit 1;
}
#
# INIT-COMMANDS section.
#
AMDEP=""
ac_aux_dir="."
#
# CONFIG_FILES section.
#
# No need to generate the scripts if there are no CONFIG_FILES.
# This happens for instance when ./config.status config.h
if test -n "$CONFIG_FILES"; then
# Protect against being on the right side of a sed subst in config.status.
sed 's/%@/@@/; s/@%/@@/; s/%;t t$/@;t t/; /@;t t$/s/[\\&%]/\\&/g;
s/@@/%@/; s/@@/@%/; s/@;t t$/%;t t/' >$tmp/subs.sed <<\CEOF
s%@SHELL@%/bin/sh%;t t
s%@exec_prefix@%${prefix}%;t t
s%@prefix@%${DJDIR}%;t t
s%@program_transform_name@%s,x,x,%;t t
s%@bindir@%${exec_prefix}/bin%;t t
s%@sbindir@%${exec_prefix}/sbin%;t t
s%@libexecdir@%${exec_prefix}/libexec%;t t
s%@datadir@%${prefix}/share%;t t
s%@sysconfdir@%${prefix}/etc%;t t
s%@sharedstatedir@%${prefix}/com%;t t
s%@localstatedir@%${prefix}/var%;t t
s%@libdir@%${exec_prefix}/lib%;t t
s%@includedir@%${prefix}/include%;t t
s%@oldincludedir@%/usr/include%;t t
s%@infodir@%${prefix}/info%;t t
s%@mandir@%${prefix}/man%;t t
s%@ECHO_C@%%;t t
s%@ECHO_N@%-n%;t t
s%@ECHO_T@%%;t t
s%@CFLAGS@%-g -O2%;t t
s%@CPPFLAGS@%%;t t
s%@CXXFLAGS@%%;t t
s%@FFLAGS@%%;t t
s%@DEFS@%-DHAVE_CONFIG_H%;t t
s%@LDFLAGS@%%;t t
s%@LIBS@%%;t t
s%@build@%i386-pc-msdosdjgpp%;t t
s%@build_cpu@%i386%;t t
s%@build_vendor@%pc%;t t
s%@build_os@%msdosdjgpp%;t t
s%@host@%i386-pc-msdosdjgpp%;t t
s%@host_cpu@%i386%;t t
s%@host_vendor@%pc%;t t
s%@host_os@%msdosdjgpp%;t t
s%@INSTALL_PROGRAM@%${INSTALL}%;t t
s%@INSTALL_SCRIPT@%${INSTALL}%;t t
s%@INSTALL_DATA@%${INSTALL} -m 644%;t t
s%@PACKAGE@%sh-utils%;t t
s%@VERSION@%2.0j%;t t
s%@ACLOCAL@%${SHELL} e:/src/gnu/sh-util2.0j/missing --run aclocal%;t t
s%@AUTOCONF@%${SHELL} e:/src/gnu/sh-util2.0j/missing --run autoconf%;t t
s%@AUTOMAKE@%${SHELL} e:/src/gnu/sh-util2.0j/missing --run automake%;t t
s%@AUTOHEADER@%${SHELL} e:/src/gnu/sh-util2.0j/missing --run autoheader%;t t
s%@MAKEINFO@%${SHELL} e:/src/gnu/sh-util2.0j/missing --run makeinfo%;t t
s%@AMTAR@%${SHELL} e:/src/gnu/sh-util2.0j/missing --run tar%;t t
s%@install_sh@%./install-sh%;t t
s%@AWK@%gawk%;t t
s%@SET_MAKE@%%;t t
s%@AMDEP@%%;t t
s%@AMDEPBACKSLASH@%\%;t t
s%@DEPDIR@%_deps%;t t
s%@PERL@%perl%;t t
s%@CC@%gcc%;t t
s%@ac_ct_CC@%%;t t
s%@EXEEXT@%%;t t
s%@OBJEXT@%o%;t t
s%@CPP@%gcc -E%;t t
s%@CCDEPMODE@%depmode=gcc%;t t
s%@RANLIB@%ranlib%;t t
s%@U@%%;t t
s%@ANSI2KNR@%%;t t
s%@LIBOBJS@%fileblocks$U.o lchown$U.o lstat$U.o nanosleep$U.o group-member$U.o strtoumax$U.o error$U.o strftime$U.o regex$U.o getloadavg$U.o getusershell$U.o stime$U.o euidaccess$U.o rpmatch$U.o strndup$U.o strverscmp$U.o strnlen$U.o getline$U.o obstack$U.o fsusage$U.o mountlist$U.o%;t t
s%@GNU_PACKAGE@%GNU sh-utils%;t t
s%@OPTIONAL_BIN_PROGS@% uname nice stty%;t t
s%@OPTIONAL_BIN_ZCRIPTS@% nohup%;t t
s%@MAN@% uname.1 nice.1 nohup.1 stty.1%;t t
s%@DF_PROG@%df%;t t
s%@YACC@%bison -y%;t t
s%@ALLOCA@%%;t t
s%@LIB_NANOSLEEP@%%;t t
s%@NEED_SETGID@%false%;t t
s%@KMEM_GROUP@%%;t t
s%@GETLOADAVG_LIBS@%%;t t
s%@LIB_CLOCK_GETTIME@%%;t t
s%@POW_LIBM@%%;t t
s%@GLIBC21@%no%;t t
s%@LIBICONV@%%;t t
s%@SQRT_LIBM@%%;t t
s%@FESETROUND_LIBM@%%;t t
s%@LIB_CRYPT@%%;t t
s%@USE_NLS@%no%;t t
s%@MSGFMT@%%;t t
s%@GMSGFMT@%%;t t
s%@XGETTEXT@%%;t t
s%@GENCAT@%%;t t
s%@USE_INCLUDED_LIBINTL@%no%;t t
s%@CATALOGS@%%;t t
s%@CATOBJEXT@%%;t t
s%@DATADIRNAME@%share%;t t
s%@GMOFILES@% cs.gmo da.gmo de.gmo el.gmo es.gmo et.gmo fr.gmo gl.gmo it.gmo ja.gmo nl.gmo no.gmo pl.gmo pt.gmo pt_BR.gmo sl.gmo ru.gmo sk.gmo sv.gmo zh.gmo%;t t
s%@INSTOBJEXT@%%;t t
s%@INTLDEPS@%%;t t
s%@INTLLIBS@%%;t t
s%@INTLOBJS@%%;t t
s%@POFILES@% cs.po da.po de.po el.po es.po et.po fr.po gl.po it.po ja.po nl.po no.po pl.po pt.po pt_BR.po sl.po ru.po sk.po sv.po zh.po%;t t
s%@POSUB@%%;t t
s%@INCLUDE_LOCALE_H@%#include %;t t
s%@GT_NO@%%;t t
s%@GT_YES@%#YES#%;t t
s%@MKINSTALLDIRS@%./mkinstalldirs%;t t
s%@l@%%;t t
/TEXINPUTS=/s,:,\\\\;,g
/PATH=/s,:,\\;,g
s,po2tbl\.sed\.in,po2tbl-sed.in,g
s,config\.h\.in,config.h-in,g
s,\.env-warn,_env-warn,g
s,Makefile\.in\.in,Makefile.in-in,g
s,Makefile\.am\.in,Makefile.am-in,g
s,jm-winsz\([12]\)\.m4,jm\1-winsz.m4,g
s,NN-strne-\([12]\)\.X,NN\1-strne.X,g
s,N-strne-\([12]\)\.X,N\1-strne.X,g
s,NN-streq-\([12]\)\.X,NN\1q-stre.X,g
s,NN-streq-\([12]\)\.X,NN\1q-stre.X,g
s,N-streq-\([12]\)\.X,N\1q-stre.X,g
s,N-streq-\([12]\)\.X,N\1q-stre.X,g
s,date2sec-\([01]\)\.X,d2sec-\1.X,g
s,date2sec-0a\.X,d2sec-0a.X,g
CEOF
# Split the substitutions into bite-sized pieces for seds with
# small command number limits, like on Digital OSF/1 and HP-UX.
ac_max_sed_lines=48
ac_sed_frag=1 # Number of current file.
ac_beg=1 # First line for current file.
ac_end=$ac_max_sed_lines # Line after last line for current file.
ac_more_lines=:
ac_sed_cmds=
while $ac_more_lines; do
if test $ac_beg -gt 1; then
sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
else
sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
fi
if test ! -s $tmp/subs.frag; then
ac_more_lines=false
else
# The purpose of the label and of the branching condition is to
# speed up the sed processing (if there are no `@' at all, there
# is no need to browse any of the substitutions).
# These are the two extra sed commands mentioned above.
(echo ':t
/@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
if test -z "$ac_sed_cmds"; then
ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
else
ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
fi
ac_sed_frag=`expr $ac_sed_frag + 1`
ac_beg=$ac_end
ac_end=`expr $ac_end + $ac_max_sed_lines`
fi
done
if test -z "$ac_sed_cmds"; then
ac_sed_cmds=cat
fi
fi # test -n "$CONFIG_FILES"
for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
# Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
case $ac_file in
*:*) ac_file_in=`echo "$ac_file" | sed 's%[^:]*:%%'`
ac_file=`echo "$ac_file" | sed 's%:.*%%'` ;;
*) ac_file_in=$ac_file.in ;;
esac
# Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
# Remove last slash and all that follows it. Not all systems have dirname.
ac_dir=`echo "$ac_file" | sed 's%/[^/][^/]*$%%'`
if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
# The file is in a subdirectory.
test -d "$ac_dir" || mkdir "$ac_dir"
ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
# A "../" for each directory in $ac_dir_suffix.
ac_dots=`echo "$ac_dir_suffix" | sed 's%/[^/]*%../%g'`
else
ac_dir_suffix= ac_dots=
fi
case $ac_given_srcdir in
.) srcdir=.
if test -z "$ac_dots"; then top_srcdir=.
else top_srcdir=`echo $ac_dots | sed 's%/$%%'`; fi ;;
[\\/]* | ?:[\\/]* )
srcdir=$ac_given_srcdir$ac_dir_suffix;
top_srcdir=$ac_given_srcdir ;;
*) # Relative path.
srcdir=$ac_dots$ac_given_srcdir$ac_dir_suffix
top_srcdir=$ac_dots$ac_given_srcdir ;;
esac
case $ac_given_INSTALL in
[\\/$]* | ?:[\\/]* ) INSTALL=$ac_given_INSTALL ;;
*) INSTALL=$ac_dots$ac_given_INSTALL ;;
esac
echo creating "$ac_file"
rm -f "$ac_file"
configure_input="Generated automatically from `echo $ac_file_in |
sed 's%.*/%%'` by configure."
# Don't redirect the output to AC_FILE directly: use `mv' so that
# updating is atomic, and doesn't need trapping.
ac_file_inputs=`IFS=;
for f in $ac_file_in; do echo $ac_given_srcdir/$f; done`
for ac_file_input in $ac_file_inputs;
do
test -f "$ac_file_input" ||
{ echo "configure: error: cannot find input file \`$ac_file_input'" >&2; exit 1; }
done
sed -e "/^[ ]*VPATH[ ]*=[^:]*$/d
:t
/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
s%@configure_input@%$configure_input%;t t
s%@srcdir@%$srcdir%;t t
s%@top_srcdir@%$top_srcdir%;t t
s%@INSTALL@%$INSTALL%;t t
" $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
mv $tmp/out $ac_file
done
#
# CONFIG_HEADER section.
#
# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
# NAME is the cpp macro being defined and VALUE is the value it is being given.
#
# ac_d sets the value in "#define NAME VALUE" lines.
ac_dA='s%^\([ ]*\)#\([ ]*define[ ][ ]*\)'
ac_dB='[ ].*$%\1#\2'
ac_dC=' '
ac_dD='%;t'
# ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
ac_uA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
ac_uB='$%\1#\2define\3'
ac_uC=' '
ac_uD='%;t'
for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
# Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
case $ac_file in
*:*) ac_file_in=`echo "$ac_file" | sed 's%[^:]*:%%'`
ac_file=`echo "$ac_file" | sed 's%:.*%%'` ;;
*) ac_file_in=$ac_file.in ;;
esac
echo creating $ac_file
ac_file_inputs=`echo "$ac_file_in" |
sed -e "s%:% $ac_given_srcdir/%g;s%^%$ac_given_srcdir/%"`
for ac_file_input in $ac_file_inputs;
do
test -f "$ac_file_input" ||
{ echo "configure: error: cannot find input file \`$ac_file_input'" >&2; exit 1; }
done
# Remove the trailing spaces.
sed -e 's/[ ]*$//' $ac_file_inputs >$tmp/in
# Handle all the #define templates only if necessary.
if egrep "^[ ]*#[ ]*define" $tmp/in >/dev/null; then
# If there are no defines, we may have an empty if/fi
:
cat >$tmp/frag <$tmp/out
rm -f $tmp/in
mv $tmp/out $tmp/in
cat >$tmp/frag <$tmp/out
rm -f $tmp/in
mv $tmp/out $tmp/in
cat >$tmp/frag <$tmp/out
rm -f $tmp/in
mv $tmp/out $tmp/in
cat >$tmp/frag <$tmp/out
rm -f $tmp/in
mv $tmp/out $tmp/in
cat >$tmp/frag <$tmp/out
rm -f $tmp/in
mv $tmp/out $tmp/in
fi # egrep
# Handle all the #undef templates
cat >$tmp/frag <$tmp/out
rm -f $tmp/in
mv $tmp/out $tmp/in
cat >$tmp/frag <$tmp/out
rm -f $tmp/in
mv $tmp/out $tmp/in
cat >$tmp/frag <$tmp/out
rm -f $tmp/in
mv $tmp/out $tmp/in
cat >$tmp/frag <$tmp/out
rm -f $tmp/in
mv $tmp/out $tmp/in
cat >$tmp/frag <$tmp/out
rm -f $tmp/in
mv $tmp/out $tmp/in
echo "/* $ac_file. Generated automatically by configure. */" >$tmp/config.h
cat $tmp/in >>$tmp/config.h
rm -f $tmp/in
if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
echo "$ac_file is unchanged"
else
# Remove last slash and all that follows it. Not all systems have dirname.
ac_dir=`echo "$ac_file" | sed 's%/[^/][^/]*$%%'`
if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
# The file is in a subdirectory.
test -d "$ac_dir" || mkdir "$ac_dir"
fi
rm -f $ac_file
mv $tmp/config.h $ac_file
fi
done
#
# CONFIG_LINKS section.
#
srcdir=$ac_given_srcdir
for ac_file in : $CONFIG_LINKS; do test "x$ac_file" = x: && continue
ac_dest=`echo "$ac_file" | sed 's%:.*%%'`
ac_source=`echo "$ac_file" | sed 's%[^:]*:%%'`
echo "linking $srcdir/$ac_source to $ac_dest"
if test ! -r $srcdir/$ac_source; then
{ echo "configure: error: $srcdir/$ac_source: File not found" >&2; exit 1; }
fi
rm -f $ac_dest
# Make relative symlinks.
# Remove last slash and all that follows it. Not all systems have dirname.
ac_dest_dir=`echo $ac_dest | sed 's%/[^/][^/]*$%%'`
if test "$ac_dest_dir" != "$ac_dest" && test "$ac_dest_dir" != .; then
# The dest file is in a subdirectory.
test -d "$ac_dest_dir" || mkdir "$ac_dest_dir"
ac_dest_dir_suffix="/`echo $ac_dest_dir|sed 's%^\./%%'`"
# A "../" for each directory in $ac_dest_dir_suffix.
ac_dots=`echo $ac_dest_dir_suffix|sed 's%/[^/]*%../%g'`
else
ac_dest_dir_suffix= ac_dots=
fi
case $srcdir in
[\\/$]* | ?:[\\/]* ) ac_rel_source=$srcdir/$ac_source ;;
*) ac_rel_source=$ac_dots$srcdir/$ac_source ;;
esac
# Make a symlink if possible; otherwise try a hard link.
if cp -f $ac_rel_source $ac_dest 2>/dev/null ||
cp -f $srcdir/$ac_source $ac_dest; then :
else
{ echo "configure: error: cannot link $ac_dest to $srcdir/$ac_source" >&2; exit 1; }
fi
done
#
# CONFIG_COMMANDS section.
#
for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
ac_dest=`echo "$ac_file" | sed 's%:.*%%'`
ac_source=`echo "$ac_file" | sed 's%[^:]*:%%'`
case $ac_dest in
default-1 ) test -z "$CONFIG_HEADERS" || echo timestamp > stamp-h ;;
default-2 )
test x"$AMDEP" != x"" ||
for mf in $CONFIG_FILES; do
case "$mf" in
Makefile) dirpart=.;;
*/Makefile) dirpart=`echo "$mf" | sed -e 's|/[^/]*$||'`;;
*) continue;;
esac
grep '^DEP_FILES *= *[^ #]' < "$mf" > /dev/null || continue
# Extract the definition of DEP_FILES from the Makefile without
# running `make'.
DEPDIR=`sed -n -e '/^DEPDIR = / s///p' < "$mf"`
test -z "$DEPDIR" && continue
# When using ansi2knr, U may be empty or an underscore; expand it
U=`sed -n -e '/^U = / s///p' < "$mf"`
test -d "$dirpart/$DEPDIR" || mkdir "$dirpart/$DEPDIR"
# We invoke sed twice because it is the simplest approach to
# changing $(DEPDIR) to its actual value in the expansion.
for file in `sed -n -e '
/^DEP_FILES = .*\\\\$/ {
s/^DEP_FILES = //
:loop
s/\\\\$//
p
n
/\\\\$/ b loop
p
}
/^DEP_FILES = / s/^DEP_FILES = //p' < "$mf" | \
sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
# Make sure the directory exists.
test -f "$dirpart/$file" && continue
fdir=`echo "$file" | sed -e 's|/[^/]*$||'`
$ac_aux_dir/mkinstalldirs "$dirpart/$fdir" > /dev/null 2>&1
# echo "creating $dirpart/$file"
echo '# dummy' > "$dirpart/$file"
done
done
;;
default-3 ) case "$CONFIG_FILES" in *po/Makefile.in*)
sed -e "/POTFILES =/r po/POTFILES" po/Makefile.in > po/Makefile
esac ;;
esac
done
exit 0
-----------------------------
config.status from bash 2.04
-----------------------------
config_files=" Makefile
doc/Makefile
intl/Makefile
lib/Makefile
man/Makefile
m4/Makefile
po/Makefile.in:po/Makefile.in-in
src/Makefile
tests/Makefile
tests/basename/Makefile
tests/date/Makefile
tests/factor/Makefile
tests/seq/Makefile
tests/stty/Makefile
tests/test/Makefile
"
config_headers=" config.h:config.h-in"
config_links=" intl/libintl.h:intl/libgettext.h"
config_commands=" default-1 default-2 default-3"
ac_cs_version="\
./config.status generated by autoconf version 2.14a.
Configured on host pc by
./configure --src=. --disable-nls --config-cache"
ac_given_srcdir=.
ac_given_INSTALL="${DJDIR}/bin/ginstall -c"
-recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
echo "running /bin/sh ./configure " --src=. --disable-nls --config-cache " --no-create --no-recursion"
exec /bin/sh ./configure --src=. --disable-nls --config-cache --no-create --no-recursion ;;
#
# INIT-COMMANDS section.
#
AMDEP=""
ac_aux_dir="."
#
# CONFIG_FILES section.
#
# No need to generate the scripts if there are no CONFIG_FILES.
# This happens for instance when ./config.status config.h
if test -n "$CONFIG_FILES"; then
# Protect against being on the right side of a sed subst in config.status.
sed 's/%@/@@/; s/@%/@@/; s/%;t t$/@;t t/; /@;t t$/s/[\\&%]/\\&/g;
s/@@/%@/; s/@@/@%/; s/@;t t$/%;t t/' >$tmp/subs.sed <<\CEOF
s%@SHELL@%/bin/sh%;t t
s%@exec_prefix@%${prefix}%;t t
s%@prefix@%${DJDIR}%;t t
s%@program_transform_name@%s,x,x,%;t t
s%@bindir@%${exec_prefix}/bin%;t t
s%@sbindir@%${exec_prefix}/sbin%;t t
s%@libexecdir@%${exec_prefix}/libexec%;t t
s%@datadir@%${prefix}/share%;t t
s%@sysconfdir@%${prefix}/etc%;t t
s%@sharedstatedir@%${prefix}/com%;t t
s%@localstatedir@%${prefix}/var%;t t
s%@libdir@%${exec_prefix}/lib%;t t
s%@includedir@%${prefix}/include%;t t
s%@oldincludedir@%/usr/include%;t t
s%@infodir@%${prefix}/info%;t t
s%@mandir@%${prefix}/man%;t t
s%@ECHO_C@%%;t t
s%@ECHO_N@%-n%;t t
s%@ECHO_T@%%;t t
s%@CFLAGS@%-g -O2%;t t
s%@CPPFLAGS@%%;t t
s%@CXXFLAGS@%%;t t
s%@FFLAGS@%%;t t
s%@DEFS@%-DHAVE_CONFIG_H%;t t
s%@LDFLAGS@%%;t t
s%@LIBS@%%;t t
s%@build@%i386-pc-msdosdjgpp%;t t
s%@build_cpu@%i386%;t t
s%@build_vendor@%pc%;t t
s%@build_os@%msdosdjgpp%;t t
s%@host@%i386-pc-msdosdjgpp%;t t
s%@host_cpu@%i386%;t t
s%@host_vendor@%pc%;t t
s%@host_os@%msdosdjgpp%;t t
s%@INSTALL_PROGRAM@%${INSTALL}%;t t
s%@INSTALL_SCRIPT@%${INSTALL}%;t t
s%@INSTALL_DATA@%${INSTALL} -m 644%;t t
s%@PACKAGE@%sh-utils%;t t
s%@VERSION@%2.0j%;t t
s%@ACLOCAL@%${SHELL} /src/gnu/sh-util2.0j/missing --run aclocal%;t t
s%@AUTOCONF@%${SHELL} /src/gnu/sh-util2.0j/missing --run autoconf%;t t
s%@AUTOMAKE@%${SHELL} /src/gnu/sh-util2.0j/missing --run automake%;t t
s%@AUTOHEADER@%${SHELL} /src/gnu/sh-util2.0j/missing --run autoheader%;t t
s%@MAKEINFO@%${SHELL} /src/gnu/sh-util2.0j/missing --run makeinfo%;t t
s%@AMTAR@%${SHELL} /src/gnu/sh-util2.0j/missing --run tar%;t t
s%@install_sh@%./install-sh%;t t
s%@AWK@%gawk%;t t
s%@SET_MAKE@%MAKE=make%;t t
s%@AMDEP@%%;t t
s%@AMDEPBACKSLASH@%\%;t t
s%@DEPDIR@%_deps%;t t
s%@PERL@%perl%;t t
s%@CC@%gcc%;t t
s%@ac_ct_CC@%%;t t
s%@EXEEXT@%%;t t
s%@OBJEXT@%o%;t t
s%@CPP@%gcc -E%;t t
s%@CCDEPMODE@%depmode=gcc%;t t
s%@RANLIB@%ranlib%;t t
s%@U@%%;t t
s%@ANSI2KNR@%%;t t
s%@LIBOBJS@%fileblocks$U.o lchown$U.o lstat$U.o nanosleep$U.o group-member$U.o strtoumax$U.o error$U.o strftime$U.o regex$U.o getloadavg$U.o getusershell$U.o stime$U.o euidaccess$U.o rpmatch$U.o strndup$U.o strverscmp$U.o strnlen$U.o getline$U.o obstack$U.o fsusage$U.o mountlist$U.o%;t t
s%@GNU_PACKAGE@%GNU sh-utils%;t t
s%@OPTIONAL_BIN_PROGS@% uname nice stty%;t t
s%@OPTIONAL_BIN_ZCRIPTS@% nohup%;t t
s%@MAN@% uname.1 nice.1 nohup.1 stty.1%;t t
s%@DF_PROG@%df%;t t
s%@YACC@%bison -y%;t t
s%@ALLOCA@%%;t t
s%@LIB_NANOSLEEP@%%;t t
s%@NEED_SETGID@%false%;t t
s%@KMEM_GROUP@%%;t t
s%@GETLOADAVG_LIBS@%%;t t
s%@LIB_CLOCK_GETTIME@%%;t t
s%@POW_LIBM@%%;t t
s%@GLIBC21@%no%;t t
s%@LIBICONV@%%;t t
s%@SQRT_LIBM@%%;t t
s%@FESETROUND_LIBM@%%;t t
s%@LIB_CRYPT@%%;t t
s%@USE_NLS@%no%;t t
s%@MSGFMT@%%;t t
s%@GMSGFMT@%%;t t
s%@XGETTEXT@%%;t t
s%@GENCAT@%%;t t
s%@USE_INCLUDED_LIBINTL@%no%;t t
s%@CATALOGS@%%;t t
s%@CATOBJEXT@%%;t t
s%@DATADIRNAME@%share%;t t
s%@GMOFILES@% cs.gmo da.gmo de.gmo el.gmo es.gmo et.gmo fr.gmo gl.gmo it.gmo ja.gmo nl.gmo no.gmo pl.gmo pt.gmo pt_BR.gmo sl.gmo ru.gmo sk.gmo sv.gmo zh.gmo%;t t
s%@INSTOBJEXT@%%;t t
s%@INTLDEPS@%%;t t
s%@INTLLIBS@%%;t t
s%@INTLOBJS@%%;t t
s%@POFILES@% cs.po da.po de.po el.po es.po et.po fr.po gl.po it.po ja.po nl.po no.po pl.po pt.po pt_BR.po sl.po ru.po sk.po sv.po zh.po%;t t
s%@POSUB@%%;t t
s%@INCLUDE_LOCALE_H@%#include %;t t
s%@GT_NO@%%;t t
s%@GT_YES@%#YES#%;t t
s%@MKINSTALLDIRS@%./mkinstalldirs%;t t
s%@l@%%;t t
/TEXINPUTS=/s,:,\\\\;,g
/PATH=/s,:,\\;,g
s,po2tbl\.sed\.in,po2tbl-sed.in,g
s,config\.h\.in,config.h-in,g
s,\.env-warn,_env-warn,g
s,Makefile\.in\.in,Makefile.in-in,g
s,Makefile\.am\.in,Makefile.am-in,g
s,jm-winsz\([12]\)\.m4,jm\1-winsz.m4,g
s,NN-strne-\([12]\)\.X,NN\1-strne.X,g
s,N-strne-\([12]\)\.X,N\1-strne.X,g
s,NN-streq-\([12]\)\.X,NN\1q-stre.X,g
s,NN-streq-\([12]\)\.X,NN\1q-stre.X,g
s,N-streq-\([12]\)\.X,N\1q-stre.X,g
s,N-streq-\([12]\)\.X,N\1q-stre.X,g
s,date2sec-\([01]\)\.X,d2sec-\1.X,g
s,date2sec-0a\.X,d2sec-0a.X,g
CEOF
sed -e "/^[ ]*VPATH[ ]*=[^:]*$/d
# Handle all the #define templates only if necessary.
if egrep "^[ ]*#[ ]*define" $tmp/in >/dev/null; then
# If there are no defines, we may have an empty if/fi
:
fi # egrep
# Handle all the #undef templates
-------------------